// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js
angular.module('evhawaii2', ['ionic', 'evhawaii2.controllers'])

.run(function($ionicPlatform) {
	$ionicPlatform.ready(function() {
		// Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
		// for form inputs)
		/*if(window.cordova && window.cordova.plugins.Keyboard) {
			cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
		}
		if(window.StatusBar) {
			// org.apache.cordova.statusbar required
			StatusBar.styleDefault();
		}*/
		
		if(window.cordova) {
			if(navigator.connection.type === Connection.NONE) {
				navigator.notification.alert('EV Hawaii is designed to be used with an Internet connection.  Your experience may be limited without an Internet connection.', function() {}, 'No Connection Detected', 'Dismiss');
			}
		
			analytics.startTrackerWithId('UA-45455296-5');
			analytics.trackView('Home');
		}
	});
})

.config(function($stateProvider, $urlRouterProvider) {
	$stateProvider

	.state('app', {
		url: "/app",
		abstract: true,
		templateUrl: "templates/menu.html"
	})

	.state('app.home', {
		url: "/home",
		views: {
			'menuContent' :{
				templateUrl: "templates/home.html",
				controller: 'home'
			}
		}
	})
	
	.state('app.locate', {
		url: "/locate",
		views: {
			'menuContent' :{
				templateUrl: "templates/locate.html",
				controller: 'locate'
			}
		}
	})
	
	.state('app.search', {
		url: "/search",
		views: {
			'menuContent' :{
				templateUrl: "templates/search.html",
				controller: 'search'
			}
		}
	})
	
	.state('app.searchMap', {
		url: "/searchMap",
		views: {
			'menuContent' :{
				templateUrl: "templates/searchMap.html",
				controller: 'searchMap'
			}
		}
	})
	
	.state('app.details', {
		url: "/details",
		views: {
			'menuContent' :{
				templateUrl: "templates/details.html",
				controller: 'details'
			}
		}
	})
	
	.state('app.list', {
		url: "/list",
		views: {
			'menuContent' :{
				templateUrl: "templates/list.html",
				controller: 'list'
			}
		}
	})
	
	.state('app.directions', {
		url: "/directions",
		views: {
			'menuContent' :{
				templateUrl: "templates/directions.html",
				controller: 'directions'
			}
		}
	})
	
	.state('app.feedback', {
		url: "/feedback/{stationID}/{stationName}",
		views: {
			'menuContent' :{
				templateUrl: "templates/feedback.html",
				controller: 'feedback'
			}
		}
	})
	
	.state('app.about', {
		url: "/about",
		views: {
			'menuContent' :{
				templateUrl: "templates/about.html",
				controller: 'about'
			}
		}
	});
	
	// if none of the above states are matched, use this as the fallback
	$urlRouterProvider.otherwise('/app/home');
});

